Bug 693275 - (cuneiform) Review Request: cuneiform - Command-line OCR system
Review Request: cuneiform - Command-line OCR system
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pavel Zhukov
Fedora Extras Quality Assurance
:
: 590573 (view as bug list)
Depends On:
Blocks: RussianFedoraRemix yagf
  Show dependency treegraph
 
Reported: 2011-04-04 02:12 EDT by Dmitrij S. Kryzhevich
Modified: 2011-06-23 23:39 EDT (History)
7 users (show)

See Also:
Fixed In Version: cuneiform-1.1.0-3.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-23 23:32:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pavel: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Dmitrij S. Kryzhevich 2011-04-04 02:12:37 EDT
Spec URL: http://krege.fedorapeople.org/cuneiform/cuneiform.spec
SRPM URL: http://krege.fedorapeople.org/cuneiform/cuneiform-1.0.0-2.fc14.src.rpm
Description: Cuneiform is an multi-language OCR system originally developed
and open sourced by Cognitive Technologies. Cuneiform was
originally a Windows program, which was ported to Linux
by Jussi Pakkanen.

$ rpmlint cuneiform-1.0.0-2.fc14.src.rpm cuneiform-1.0.0-2.fc14.x86_64.rpm cuneiform-devel-1.0.0-2.fc14.x86_64.rpm 
cuneiform.src: W: spelling-error %description -l en_US multi -> mulch, mufti
cuneiform.x86_64: W: spelling-error %description -l en_US multi -> mulch, mufti
cuneiform.x86_64: W: shared-lib-calls-exit /usr/lib64/liblns32.so.0 exit@GLIBC_2.2.5
cuneiform.x86_64: W: shared-lib-calls-exit /usr/lib64/librfrmt.so.0 exit@GLIBC_2.2.5
cuneiform.x86_64: W: shared-lib-calls-exit /usr/lib64/libstd32.so.0 exit@GLIBC_2.2.5
cuneiform.x86_64: W: no-manual-page-for-binary cuneiform
cuneiform-devel.x86_64: W: no-documentation

Shared-lib-calls-exit required upstream pong.
Manpage is not required as it is very short usage description. But if it realy neede, it could be done.
No documentation is no documentation. Upstream does not provide it.
Comment 1 Dmitrij S. Kryzhevich 2011-04-04 02:14:59 EDT
*** Bug 590573 has been marked as a duplicate of this bug. ***
Comment 2 Dmitrij S. Kryzhevich 2011-04-04 02:17:10 EDT
As for license files. Only one of them is required (Kern one). Addfiles and Kern/icrashreport are not used during package preparation.
Comment 3 Peter Lemenkov 2011-04-04 02:38:20 EDT
I'll review it.
Comment 4 Peter Lemenkov 2011-04-18 03:53:14 EDT
Unfortunately I don't have enough time to start the review so I'm resigning from this ticket
Comment 5 Dmitrij S. Kryzhevich 2011-04-20 23:47:01 EDT
Spec URL: http://krege.fedorapeople.org/cuneiform/cuneiform.spec
SRPM URL:
http://krege.fedorapeople.org/cuneiform/cuneiform-1.1.0-1.fc14.src.rpm

Changelog:
- Update to 1.1.0.
- All patches are in upstream now. Drop them.
Comment 6 Dmitrij S. Kryzhevich 2011-04-21 05:37:39 EDT
Spec URL: http://krege.fedorapeople.org/cuneiform/cuneiform.spec
SRPM URL:
http://krege.fedorapeople.org/cuneiform/cuneiform-1.1.0-2.fc14.src.rpm

Changelog:
- Switch build type to relwithdebinfo (optimization with debug info).
Comment 7 Pavel Zhukov 2011-05-10 08:18:25 EDT
I'll review it!
Comment 8 Pavel Zhukov 2011-05-24 04:19:41 EDT
rpmlint output:
cuneiform-devel.i686: W: no-documentation
cuneiform.i686: W: spelling-error %description -l en_US multi -> mulch, mufti
cuneiform.i686: W: shared-lib-calls-exit /usr/lib/libstd32.so.1.1.0 exit@GLIBC_2.0
cuneiform.i686: W: shared-lib-calls-exit /usr/lib/liblns32.so.1.1.0 exit@GLIBC_2.0
cuneiform.i686: W: shared-lib-calls-exit /usr/lib/librfrmt.so.1.1.0 exit@GLIBC_2.0
cuneiform.i686: W: no-manual-page-for-binary cuneiform
cuneiform.src: W: spelling-error %description -l en_US multi -> mulch, mufti
Comment 9 Pavel Zhukov 2011-06-04 15:59:10 EDT
    MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.[1]
    +
    MUST: The package must be named according to the Package Naming Guidelines .
    +
    MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. [2] .
    +
    MUST: The package must meet the Packaging Guidelines .
    +
    MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
    +
    MUST: The License field in the package spec file must match the actual license. [3]
    +
    MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.[4]
    +
    MUST: The spec file must be written in American English. [5]
    +
    MUST: The spec file for the package MUST be legible. [6]
    +
    MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
    +
    MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture. [7]
    +
    MUST: If the package does not successfully compile
    N/A
    MUST: All build dependencies must be listed in BuildRequires
    +
    MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.[9]
    N/A
    MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. [10]
    +
    MUST: Packages must NOT bundle copies of system libraries.[11]
    +
    MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker. [12]
    N/A
    MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. [13]
    +
    MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)[14]
    +
    MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. [15]
    +
    MUST: Each package must consistently use macros. [16]
    +
    MUST: The package must contain code, or permissable content. [17]
    +
    MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). [18]
    N/A
    MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. [18]
    +
    MUST: Header files must be in a -devel package. [19]
    +
    MUST: Static libraries must be in a -static package. [20]
    N/A
    MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package. [19]
    +
    MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release} [21]
    - FIXME http://fedoraproject.org/wiki/Packaging/Guidelines#RequiringBasePackage
    MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.[20]
    +
    MUST: Packages containing GUI applications must include a %{name}.desktop file,
    N/A
    MUST: Packages must not own files or directories already owned by other packages.
    +
    MUST: All filenames in rpm packages must be valid UTF-8.
    +
======================================================
Please fix Base Package Package (see FIXME in review).
======================================================
Comment 10 Dmitrij S. Kryzhevich 2011-06-06 00:53:47 EDT
Spec URL: http://krege.fedorapeople.org/cuneiform/cuneiform.spec
SRPM URL:
http://krege.fedorapeople.org/cuneiform/cuneiform-1.1.0-3.fc14.src.rpm

%changelog
* Mon Jun 06 2011 Dmitrij S. Kryzhevich <krege@land.ru> - 1.1.0-3
- Fix -devel Requires.
Comment 11 Pavel Zhukov 2011-06-06 01:57:34 EDT
Ok. Good work. Package is approved.
Comment 12 Dmitrij S. Kryzhevich 2011-06-06 02:07:35 EDT
Thanks.

New Package SCM Request
=======================
Package Name: cuneiform
Short Description: Command-line OCR system
Owners: krege
Branches: f14 f15
InitialCC:
Comment 13 Gwyn Ciesla 2011-06-06 08:28:03 EDT
Git done (by process-git-requests).
Comment 14 Fedora Update System 2011-06-14 06:17:24 EDT
cuneiform-1.1.0-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/cuneiform-1.1.0-3.fc14
Comment 15 Fedora Update System 2011-06-14 06:17:29 EDT
cuneiform-1.1.0-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/cuneiform-1.1.0-3.fc15
Comment 16 Fedora Update System 2011-06-15 14:28:11 EDT
cuneiform-1.1.0-3.fc15 has been pushed to the Fedora 15 testing repository.
Comment 17 Fedora Update System 2011-06-23 23:32:45 EDT
cuneiform-1.1.0-3.fc14 has been pushed to the Fedora 14 stable repository.
Comment 18 Fedora Update System 2011-06-23 23:39:06 EDT
cuneiform-1.1.0-3.fc15 has been pushed to the Fedora 15 stable repository.

Note You need to log in before you can comment on or make changes to this bug.